﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using IngredConvert;

namespace EzConvert
{
    public partial class Form1 : Form
    {
        IngredientConverter ic = new IngredientConverter();
        string input = "";
        IngredientConverter.Calc calc;
        double mod;

        public Form1()
        {
            InitializeComponent();
            calcCb.SelectedIndex = 0;
            modTb.Text = 1.ToString();
        }

        private void recalc()
        {
            outputTb.Text = ic.Convert(input, calc, mod);
            usableLbl.Text
                = (String.IsNullOrEmpty(outputTb.Text))
                ? ""
                : usableLbl.Text = ic.Match + (calc == IngredientConverter.Calc.Mult ? " * " : " / ") + mod + " = ";
        }

        #region UI event delegates
        private void inputTb_TextChanged(object sender, EventArgs e)
        {
            input = inputTb.Text.Trim();
            recalc();
        }

        private void calcCb_SelectedIndexChanged(object sender, EventArgs e)
        {
            calc = calcCb.SelectedItem.ToString() == "Multiply"
                ? IngredientConverter.Calc.Mult
                : IngredientConverter.Calc.Div;
            recalc();
        }

        private void modTb_TextChanged(object sender, EventArgs e)
        {
            double result;
            mod = (Double.TryParse(modTb.Text, out result))
                ? result
                : 1;
            recalc();
        }
        #endregion
    }
}
